Start a new topic

Android lollipop 5.0

Does nextd plan on updating its android operating system to lollipop 5.0? This is now required for KODI which is the main reason I purchased nextd

5 people like this idea

It'd be great to get a response on this.
NextD N1 currently doesn't have a plan to upgrade to Android 5.0+. Other than KODI, most Android apps do not require Android 5.0+. Regarding KODI, v16.1 should run perfectly on NextD N1 with no problem. Please note that KODI v17 is reportedly breaking a lot of 3rd party add-ons as you can see from many user reviews.

We are working on the next generation product NextD N2, which will be based on Android 7.1.

 

Login or Signup to post a comment